VMware Workstation < 9.0.4 / 10.0.3 OpenSSL 库多种漏洞 (Linux)

medium Nessus 插件 ID 76455

简介

远程主机上的虚拟化应用程序受多种漏洞影响。

描述

远程主机上安装的 VMware Workstation 版本为低于 9.0.4 的 9.x 或低于 10.0.3 的 10.x。因此,它受到 OpenSSL 库中以下漏洞的影响:

-“ssl3_read_bytes”函数中存在错误,可能造成数据注入其他会话或导致拒绝服务攻击。请注意,仅在启用了“SSL_MODE_RELEASE_BUFFERS”后才能利用此问题。(CVE-2010-5298)

-“do_ssl3_write”函数中存在错误,可能会造成取消引用空指针,从而导致拒绝服务攻击。请注意,仅在启用了“SSL_MODE_RELEASE_BUFFERS”后才能利用此问题。(CVE-2014-0198)

- 存在不明错误,可能允许攻击者使用弱密钥材料进行简化的中间人攻击。
(CVE-2014-0224)

- 存在涉及匿名 ECDH 加密套件的不明错误,可能导致拒绝服务攻击。请注意,此问题仅影响 OpenSSL TLS 客户端。(CVE-2014-3470)

解决方案

升级到 VMware Workstation 9.0.4/10.0.3 或更高版本。

另见

http://www.nessus.org/u?4357b8a5

http://www.vmware.com/security/advisories/VMSA-2014-0006.html

http://www.openssl.org/news/vulnerabilities.html#CVE-2010-5298

http://www.openssl.org/news/vulnerabilities.html#CVE-2014-0198

http://www.openssl.org/news/vulnerabilities.html#CVE-2014-0224

http://www.openssl.org/news/vulnerabilities.html#CVE-2014-3470

插件详情

严重性: Medium

ID: 76455

文件名: vmware_workstation_linux_10_0_3.nasl

版本: 1.10

类型: local

代理: unix

系列: General

发布时间: 2014/7/10

最近更新时间: 2020/9/21

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: High

分数: 8.3

CVSS v2

风险因素: Medium

基本分数: 5.8

时间分数: 4.8

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:N

时间矢量: E:F/RL:OF/RC:C

CVSS 分数来源: CVE-2014-0224

漏洞信息

CPE: cpe:/a:vmware:workstation

必需的 KB 项: Host/VMware Workstation/Version

可利用: true

易利用性: Exploits are available

补丁发布日期: 2014/7/1

漏洞发布日期: 2014/4/18

可利用的方式

Core Impact

参考资料信息

CVE: CVE-2010-5298, CVE-2014-0198, CVE-2014-0224, CVE-2014-3470

BID: 66801, 67193, 67898, 67899

CERT: 978508

VMSA: 2014-0006